[arch-commits] Commit in swt/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Nov 21 15:03:02 EST 2009


    Date: Saturday, November 21, 2009 @ 15:03:01
  Author: jgc
Revision: 59288

Merged revisions 59285,59287 via svnmerge from 
svn+ssh://gerolde.archlinux.org/srv/svn-packages/swt/trunk

........
  r59285 | jgc | 2009-11-21 20:58:27 +0100 (Sat, 21 Nov 2009) | 2 lines
  
  upgpkg: swt 3.5.1-1
      Update to 3.5.1
........
  r59287 | jgc | 2009-11-21 21:02:43 +0100 (Sat, 21 Nov 2009) | 2 lines
  
  upgpkg: swt 3.5.1-1
      Fix building with makechrootpkg
........

Modified:
  swt/repos/extra-x86_64/	(properties)
  swt/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   31 ++++++++++++++++++++-----------
 1 file changed, 20 insertions(+), 11 deletions(-)


Property changes on: swt/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /swt/trunk:1-44384
   + /swt/trunk:1-59287

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-11-21 20:02:43 UTC (rev 59287)
+++ extra-x86_64/PKGBUILD	2009-11-21 20:03:01 UTC (rev 59288)
@@ -1,34 +1,42 @@
 # $Id$
 # Maintainer: simo <simo at archlinux.org>
 pkgname=swt
-pkgver=3.4
-pkgrel=2
+pkgver=3.5.1
+pkgrel=1
 pkgdesc="An open source widget toolkit for Java"
-_date=200806172000
+_date=200909170800
 arch=(i686 x86_64)
 url="http://www.eclipse.org/swt/"
 license=('EPL')
-depends=('java-runtime>=6' 'gtk2>=2.16.2' 'libxtst')
+depends=('java-runtime>=6' 'gtk2>=2.18.3' 'libxtst')
 optdepends=('libgnomeui' 'xulrunner' 'mesa')
 makedepends=('openjdk6' 'libxtst' 'mesa' 'libgnomeui' 'xulrunner>=1.9.1' 'unzip' 'pkgconfig' 'apache-ant')
+source=(http://download.eclipse.org/eclipse/downloads/drops/R-${pkgver}-${_date}/swt-${pkgver}-gtk-linux-x86.zip
+        http://download.eclipse.org/eclipse/downloads/drops/R-${pkgver}-${_date}/swt-${pkgver}-gtk-linux-x86_64.zip
+        build-swt.xml)
+md5sums=('ceaa95d484d7ab95c663401b5a9bd1f5'
+         '40a5aa485e6f8d53eee07b325dd6c15f'
+         'f5e548bc26a0f1f3c18131be76face40')
 if [ "${CARCH}" = "i686" ]; then
   source=(http://download.eclipse.org/eclipse/downloads/drops/R-${pkgver}-${_date}/swt-${pkgver}-gtk-linux-x86.zip
           build-swt.xml)
   noextract=(swt-${pkgver}-gtk-linux-x86.zip)
-  md5sums=('b6bf01aa408377f2fe5f617a4dea1876'
+  md5sums=('ceaa95d484d7ab95c663401b5a9bd1f5'
            'f5e548bc26a0f1f3c18131be76face40')
 fi
 if [ "${CARCH}" = "x86_64" ]; then
   source=(http://download.eclipse.org/eclipse/downloads/drops/R-${pkgver}-${_date}/swt-${pkgver}-gtk-linux-x86_64.zip
           build-swt.xml)
-  md5sums=('d1caf792ac86f211edcd6f08501a4807'
+  md5sums=('40a5aa485e6f8d53eee07b325dd6c15f'
            'f5e548bc26a0f1f3c18131be76face40')
   noextract=(swt-${pkgver}-gtk-linux-x86_64.zip)
 fi
 
 build() {
-  cd ${startdir}/src
-  unzip -jqo ${startdir}/src/swt-${pkgver}-gtk-linux-*.zip "*src.zip"
+  cd "${srcdir}"
+  . /etc/profile.d/openjdk6.sh
+  . /etc/profile.d/apache-ant.sh
+  unzip -jqo ${srcdir}/swt-${pkgver}-gtk-linux-*.zip "*src.zip"
   unzip -qo src.zip
   rm -rf about_files
   mkdir src
@@ -57,7 +65,8 @@
 
   ant jar || return 1
 
-  install -D -m644 swt.jar ${startdir}/pkg/usr/share/java/swt.jar
-  mkdir -p ${startdir}/pkg/usr/lib
-  install -m755 *.so ${startdir}/pkg/usr/lib/
+  install -m755 -d "${pkgdir}/usr/share/java"
+  install -m755 -d "${pkgdir}/usr/lib"
+  install -m644 swt.jar "${pkgdir}/usr/share/java/" || return 1
+  install -m755 *.so "${pkgdir}/usr/lib/" || return 1
 }



More information about the arch-commits mailing list